bongo-backup(1)

NAME
bongo-backup - Backup and restores a Bongo document store

SYNOPSIS
bongo-backup [options] COMMAND

DESCRIPTION
bongo-backup can create backups of, and then restore these backups to, a Bongo document store. It takes a COMMAND on execution to specify its action.

OPTIONS

-h HOSTNAME, --host=HOSTNAME
    Host of Bongo store. Defaults to 127.0.0.1.

-p PASSWORD, --passwd=PASSWORD
    Specify password to authenticate.

-s PATH, --store=PATH
    Path to local backup store.

-u USER, --user=USER
    Username used to authenticate.

-v, --verbose
    Display verbose output.

COMMANDS

backup [user[:guid[,..]][ ..]]
    Appends incremental backup to the store.

restore [user[:guid[,..]][ ..]]
    Restores documents from store to server.

search [filter[,..]]
    Searches the store for documents.

rollback [MM/DD/YYYY]
    Permanently deletes data store after date.

SEARCH FILTERS

after=[MM/DD/YYYY]
    Only search documents after this date.

before=[MM/DD/YYY]
    Only search documents before this date.

string=[string[:..]]
    String search. Strings may be enclosed in single quotes.

type=[type[:..]]
    Only search type(s) (mail, cab, ab)

user=[user[:..]]
    Only search documents owned by user(s)

AUTHOR
This man page was written by Jonny Lamb <jonnylamb@jonnylamb.com>.

SEE ALSO
bongo-setup(1), bongo-admin(1)